#ifndef CONFIGPARAMSGETTER_H
#define CONFIGPARAMSGETTER_H

#include <QWidget>
#include <QLineEdit>
#include <QLabel>

#include "configparams.h"

//class SettingsWidget : public QWidget
//{
bool getSerialNumber(QLabel* lab, ConfigParams *params, QString paramName);
bool getSerialNumber(QLineEdit* edit, ConfigParams *params, QString paramName);
bool addParamRow(QLineEdit* edit, ConfigParams *params, QString paramName);
bool addParamRowEx(QLineEdit* edit, ConfigParams *params, QString paramName);
//};

#endif // CONFIGPARAMSGETTER_H
